Subject: Re: [PATCH v2 0/2] Add riscv-pk and improve spike

From: Efraim Flashner <[email-masked]>
Date: Mon, 28 Mar 2022 23:10:30 +0300

On Tue, Mar 29, 2022 at 12:25:55AM +0530, Arun Isaac wrote:
> Hi Efraim,
> 
> I didn't realize you had already packaged riscv-pk in the guix-bioinformatics
> channel. I copied the idea of using #:out-of-source? from your version of the
> package. Here is an improved patchset.
> 
> In your version of the package, I didn't understand why you had #:target and
> native-inputs. Could you enlighten me?
> 
> Thanks,
> Arun

The native-inputs I got rid of because they weren't needed in the end, I
just hadn't committed the change yet. For target I was under the
impression that it had to be compiled targeting
riscv64-(unknown-)?linux-gnu so I had that there. The instructions
upstream involved using a configure-flag instead, which is why I started
with the native-inputs.

> Arun Isaac (2):
>   gnu: spike: Substitute path to dtc instead of wrapping executables.
>   gnu: Add riscv-pk.
> 
>  gnu/packages/virtualization.scm | 54 +++++++++++++++++++++++++++------
>  1 file changed, 45 insertions(+), 9 deletions(-)
> 
> -- 
> 2.34.0
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted